Page MenuHomePhabricator

Link on contentSub don't work when Special:Contributions is used for an IP range
Closed, ResolvedPublic1 Story Points

Description

Hi. Thank you for this feature, it's awesome!
I think some MediaWiki messages on these two pages become irrelevant for the range, for example, MediaWiki:abusefilter-log-linkoncontribs. They will bring an empty result for any range. Maybe thay should be removed - grayed - commented - alerted - something else, instead of promise to unexisting feature. At least until one day somebody will decide to allow ranges there too. Thank you.

Details

Related Gerrit Patches:
mediawiki/extensions/Nuke : masterDon't show link to Nuke for IP ranges
mediawiki/extensions/AbuseFilter : masterDon't show link to AbuseLog for IP ranges

Event Timeline

IKhitron created this task.Sep 14 2017, 1:15 PM
MusikAnimal removed the point value for this task.Sep 14 2017, 1:31 PM

Oops. Thank you.

MusikAnimal added a comment.EditedSep 14 2017, 2:11 PM

Oops. Thank you.

No problem :)

I knew this issue was going to come up. Basically we need to update the extensions to check for IP ranges and not show links/messages if they don't apply. Such is the case for AbuseFilter. I'll try to get a patch out soon.

MusikAnimal triaged this task as Medium priority.Sep 14 2017, 2:12 PM
MusikAnimal moved this task from Untriaged to To be estimated/discussed on the Community-Tech board.
Huji renamed this task from Unworking links from Special:Contributions and Special:DeletedContributions to Link on contentSub don't work when Special:Contributions or Special:DeletedContributions is used for an IP range.Sep 16 2017, 1:34 AM
IKhitron updated the task description. (Show Details)Sep 16 2017, 1:23 PM
MusikAnimal renamed this task from Link on contentSub don't work when Special:Contributions or Special:DeletedContributions is used for an IP range to Link on contentSub don't work when Special:Contributions is used for an IP range.Sep 19 2017, 10:35 PM
MusikAnimal updated the task description. (Show Details)
DannyH set the point value for this task to 1.Sep 19 2017, 10:38 PM
DannyH moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
kaldari lowered the priority of this task from Medium to Low.Sep 26 2017, 11:27 PM

Change 408241 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/AbuseFilter@master] Don't show link to AbuseLog for IP ranges

https://gerrit.wikimedia.org/r/408241

Change 408242 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Nuke@master] Don't show link to Nuke for IP ranges

https://gerrit.wikimedia.org/r/408242

Change 408241 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Don't show link to AbuseLog for IP ranges

https://gerrit.wikimedia.org/r/408241

Change 408242 merged by jenkins-bot:
[mediawiki/extensions/Nuke@master] Don't show link to Nuke for IP ranges

https://gerrit.wikimedia.org/r/408242

matej_suchanek removed matej_suchanek as the assignee of this task.Feb 6 2018, 8:14 PM
matej_suchanek edited projects, added TestMe; removed Patch-For-Review.
matej_suchanek added a subscriber: matej_suchanek.
matej_suchanek closed this task as Resolved.Feb 14 2018, 11:35 AM
matej_suchanek claimed this task.
matej_suchanek removed a project: TestMe.